package com.bonus.boot.manager.manager.service;


import com.bonus.boot.manager.basic.entity.ZNode;
import com.bonus.boot.manager.manager.entity.OrgBean;

import java.util.List;

public interface OrgService {

    List<ZNode> getAll(String companyId);

    int addOrg(OrgBean bean);

    int updateOrg(OrgBean bean);

    int deleteOrg(OrgBean bean);

    List<ZNode> getCompanyTree(OrgBean bean);
}
